Bug 22633 - Barcodes in the patrons 'holds' summary should link to the moredetail page
Summary: Barcodes in the patrons 'holds' summary should link to the moredetail page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-03 19:45 UTC by Katrin Fischer
Modified: 2019-06-20 12:21 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22633: Link barcodes in hold summary in patron account to moredetail page (1.86 KB, patch)
2019-04-03 20:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22633: Link barcodes in hold summary in patron account to moredetail page (1.90 KB, patch)
2019-04-10 14:43 UTC, axel
Details | Diff | Splinter Review
Bug 22633: Link barcodes in hold summary in patron account to moredetail page (1.88 KB, patch)
2019-05-11 21:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22633: Link barcodes in hold summary in patron account to moredetail page (1.97 KB, patch)
2019-05-31 09:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-03 19:45:46 UTC
Bug 21070 links the barcode on holds to the item on moredetail.pl. We should make the same change to the hold lists in the staff patron account.
Comment 1 Katrin Fischer 2019-04-03 20:00:16 UTC
Created attachment 87372 [details] [review]
Bug 22633: Link barcodes in hold summary in patron account to moredetail page

Bug 21070 links the barcode on holds to the item on moredetail.pl.
This patch makes the same change to the hold lists in the staff
patron account.

To test:
- Create some holds, have at least
  - one item level hold
  - one hold waiting for pick-up
- Take a look at the details and checkouts tabs
  in the patron account on staff side
- Verify that the barcodes link to the record detail page
- Apply patch
- Verify the barcodes now link to the moredetail page
Comment 2 axel 2019-04-10 14:43:59 UTC
Created attachment 87725 [details] [review]
Bug 22633: Link barcodes in hold summary in patron account to moredetail page

Bug 21070 links the barcode on holds to the item on moredetail.pl.
This patch makes the same change to the hold lists in the staff
patron account.

To test:
- Create some holds, have at least
  - one item level hold
  - one hold waiting for pick-up
- Take a look at the details and checkouts tabs
  in the patron account on staff side
- Verify that the barcodes link to the record detail page
- Apply patch
- Verify the barcodes now link to the moredetail page

Signed-off-by: Axel Amghar <axel.amghar@gmail.com>
Comment 3 Chris Cormack 2019-04-14 23:42:22 UTC
There's a conflict in the js now
Comment 4 Katrin Fischer 2019-05-11 21:20:17 UTC
Created attachment 89620 [details] [review]
Bug 22633: Link barcodes in hold summary in patron account to moredetail page

Bug 21070 links the barcode on holds to the item on moredetail.pl.
This patch makes the same change to the hold lists in the staff
patron account.

To test:
- Create some holds, have at least
  - one item level hold
  - one hold waiting for pick-up
- Take a look at the details and checkouts tabs
  in the patron account on staff side
- Verify that the barcodes link to the record detail page
- Apply patch
- Verify the barcodes now link to the moredetail page

Signed-off-by: Axel Amghar <axel.amghar@gmail.com>
Comment 5 Marcel de Rooy 2019-05-31 09:33:36 UTC
Created attachment 90219 [details] [review]
Bug 22633: Link barcodes in hold summary in patron account to moredetail page

Bug 21070 links the barcode on holds to the item on moredetail.pl.
This patch makes the same change to the hold lists in the staff
patron account.

To test:
- Create some holds, have at least
  - one item level hold
  - one hold waiting for pick-up
- Take a look at the details and checkouts tabs
  in the patron account on staff side
- Verify that the barcodes link to the record detail page
- Apply patch
- Verify the barcodes now link to the moredetail page

Signed-off-by: Axel Amghar <axel.amghar@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Martin Renvoize 2019-06-13 11:51:42 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-06-20 12:21:02 UTC
Pushed to 19.05.x for 19.05.01